Tag Parser: TagParser::LocaleAwareString Class Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TagParser::LocaleAwareString Class Reference

The LocaleAwareString class is a standard string with locale information (languages, countries). More...

`#include <localeawarestring.h>`

Inheritance diagram for TagParser::LocaleAwareString:
[legend]
Collaboration diagram for TagParser::LocaleAwareString:
[legend]

## Public Member Functions
| LocaleAwareString (const std::string &value=std::string())
| Constructs a new LocaleAwareString from the specified standard string.
| LocaleAwareString (std::string &&value)
| Constructs a new LocaleAwareString from the specified standard string.
| ~LocaleAwareString ()
| Destroys the instance.
const Locale & | locale () const
| Returns the associated locale.
Locale & | locale ()
| Returns the associated locale.

## Detailed Description

The LocaleAwareString class is a standard string with locale information (languages, countries).

Definition at line 14 of file localeawarestring.h.

## Constructor & Destructor Documentation

## ◆ LocaleAwareString() [1/2]

TagParser::LocaleAwareString::LocaleAwareString | ( | const std::string & | value = std::string() | ) |
| inlineexplicit

Constructs a new LocaleAwareString from the specified standard string.

Definition at line 30 of file localeawarestring.h.

## ◆ LocaleAwareString() [2/2]

TagParser::LocaleAwareString::LocaleAwareString | ( | std::string && | value | ) |
| inlineexplicit

Constructs a new LocaleAwareString from the specified standard string.

Definition at line 38 of file localeawarestring.h.

## ◆ ~LocaleAwareString()

TagParser::LocaleAwareString::~LocaleAwareString | ( |  | ) |
| inline

Destroys the instance.

Definition at line 46 of file localeawarestring.h.

## Member Function Documentation

## ◆ locale() [1/2]

Locale & TagParser::LocaleAwareString::locale | ( |  | ) |
| inline

Returns the associated locale.

Definition at line 61 of file localeawarestring.h.

## ◆ locale() [2/2]

const Locale & TagParser::LocaleAwareString::locale | ( |  | ) | const
| inline

Returns the associated locale.

Definition at line 53 of file localeawarestring.h.

The documentation for this class was generated from the following file:

- localeawarestring.h